Data Fields
_xmlnode Struct Reference

## Data Fields
char * | name
| The name of the node. More...
char * | xmlns
| The namespace of the node.
XMLNodeType | type
| The type of the node. More...
char * | data
| The data for the node. More...
size_t | data_sz
| The size of the data. More...
xmlnode * | parent
| The parent node or `NULL`. More...
xmlnode * | child
| The child node or `NULL`. More...
xmlnode * | lastchild
| The last child node or `NULL`. More...
xmlnode * | next
| The next node or `NULL`. More...
char * | prefix
| The namespace prefix if any. More...
GHashTable * | namespace_map
| The namespace map. More...

## Detailed Description

Definition at line 49 of file xmlnode.h.

## Field Documentation

## ◆ child

xmlnode* _xmlnode::child

The child node or `NULL`.

Definition at line 57 of file xmlnode.h.

## ◆ data

char* _xmlnode::data

The data for the node.

Definition at line 54 of file xmlnode.h.

## ◆ data_sz

size_t _xmlnode::data_sz

The size of the data.

Definition at line 55 of file xmlnode.h.

## ◆ lastchild

xmlnode* _xmlnode::lastchild

The last child node or `NULL`.

Definition at line 58 of file xmlnode.h.

## ◆ name

char* _xmlnode::name

The name of the node.

Definition at line 51 of file xmlnode.h.

## ◆ namespace_map

GHashTable* _xmlnode::namespace_map

The namespace map.

Definition at line 61 of file xmlnode.h.

## ◆ next

xmlnode* _xmlnode::next

The next node or `NULL`.

Definition at line 59 of file xmlnode.h.

## ◆ parent

xmlnode* _xmlnode::parent

The parent node or `NULL`.

Definition at line 56 of file xmlnode.h.

## ◆ prefix

char* _xmlnode::prefix

The namespace prefix if any.

Definition at line 60 of file xmlnode.h.

## ◆ type

XMLNodeType _xmlnode::type

The type of the node.

Definition at line 53 of file xmlnode.h.

The documentation for this struct was generated from the following file:

- xmlnode.h